# Luxsci.MarketingCampaignScheduleBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Title for campaign schedule | 
**type** | **String** | subscriber &#x3D; scheduling on lists segments &#x3D; scheduling on segment | 
**broadcastIds** | **String** | Comma separated broadcast id(s). Campaign id(s) of campaigns you want to schedule on. | 
**smtpIds** | **String** | Comma separated smtp id(s). Node id(s) of Sending Nodes you want to use to send emails. | 
**listIds** | **String** | Comma separated list id(s). Required if param type &#x3D; subscriber. List id(s) of Lists you want to schedule on. | [optional] 
**segmentIds** | **String** | Comma separated segment id(s). Required if param type &#x3D; segment. Segment id(s) of segments you want to schedule on. | [optional] 
**smtpSequence** | **String** | batch &#x3D; a node will create connection once for a batch of contacts. loop &#x3D; one node for each contact | 
**sendingPattern** | **String** | random &#x3D; system will use random node from selected node list for sending. sequential &#x3D; system will use node in sequential order from selected node list for sending | 
**sendingTime** | **String** | now &#x3D; send broadcast now later &#x3D; schedule in future | 
**sendDatetime** | **String** | timestamp (format: Ym-d H:i:s). Required if param sending_time &#x3D; &#x60;later&#x60;. Value must be greater than current datetime. | [optional] 
**senderType** | **String** | smtp &#x3D; use sender information from smtp list &#x3D; use sender information from list | 
**trackOpens** | **Number** | 0 &#x3D; open tracking disabled 1 &#x3D; open tracking enabled | [optional] [default to TrackOpensEnum._0]
**trackClicks** | **Number** | 0 &#x3D; clicks tracking disabled 1 &#x3D; clicks tracking enabled | [optional] [default to TrackClicksEnum._0]
**unsubShows** | **Number** | Status of bounce account 0 &#x3D; Inactive 1 &#x3D; Active | [optional] [default to UnsubShowsEnum._0]
**trackDuplicates** | **Number** | 0 &#x3D; duplicate tracking diasbled 1 &#x3D; duplicate tracking enabled | [optional] [default to TrackDuplicatesEnum._0]
**threads** | **Number** | number of threads for sending | [optional] 
**unsubscribeHeaders** | **Number** | 0 &#x3D; unsubscribe headers diasbled 1 &#x3D; unsubscribe headers enabled | [optional] [default to UnsubscribeHeadersEnum._0]
**unsubscriberByEmail** | **Number** | 0 &#x3D; unsubscribe by email diasbled 1 &#x3D; unsubscribe by email enabled | [optional] 
**unsubscribeEmail** | **String** | email. Required if param unsubscriber_ by_email &#x3D; 1 | [optional] 
**unsubscribeLink** | **Number** | 0 &#x3D; unsubscribe link diasbled 1 &#x3D; unsubscribe link enabled | [optional] [default to UnsubscribeLinkEnum._0]
**hourlySpeed** | **Number** | rate of emails/hour | [optional] 
**fromName** | **String** | Required if param sender_type &#x3D; custom. From name to use in email | [optional] 
**fromEmail** | **String** | Email. Required if param sender_type &#x3D; custom. From email to use in email | [optional] 
**bounceEmail** | **String** | Email. Required if param sender_type &#x3D; custom. Bounce Account to use in email | [optional] 
**replyEmail** | **String** | Email. Required if param sender_type &#x3D; custom. Reply email to use in email | [optional] 

<a name="TypeEnum"></a>
## Enum: TypeEnum

* `subscriber` (value: `"subscriber"`)
* `segments` (value: `"segments"`)


<a name="SmtpSequenceEnum"></a>
## Enum: SmtpSequenceEnum

* `batch` (value: `"batch"`)
* `loop` (value: `"loop"`)


<a name="SendingPatternEnum"></a>
## Enum: SendingPatternEnum

* `random` (value: `"random"`)
* `sequential` (value: `"sequential"`)


<a name="SendingTimeEnum"></a>
## Enum: SendingTimeEnum

* `now` (value: `"now"`)
* `later` (value: `"later"`)


<a name="SenderTypeEnum"></a>
## Enum: SenderTypeEnum

* `smtp` (value: `"smtp"`)
* `list` (value: `"list"`)
* `custom` (value: `"custom"`)


<a name="TrackOpensEnum"></a>
## Enum: TrackOpensEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="TrackClicksEnum"></a>
## Enum: TrackClicksEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="UnsubShowsEnum"></a>
## Enum: UnsubShowsEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="TrackDuplicatesEnum"></a>
## Enum: TrackDuplicatesEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="UnsubscribeHeadersEnum"></a>
## Enum: UnsubscribeHeadersEnum

* `_0` (value: `0`)
* `_1` (value: `1`)


<a name="UnsubscribeLinkEnum"></a>
## Enum: UnsubscribeLinkEnum

* `_0` (value: `0`)
* `_1` (value: `1`)

